
    <div class="mui-content cheshen-login-content cheshen-popup-login" style="display: none;">
        <form id="my_frm_post" method="post">
            <div class="cheshen-loadmore">
                <div class="text">
                    <span>手机号码登录</span>
                </div>
            </div>
            <div class="mui-input-group cheshen-login">
                <div class="mui-input-row">
                    <button type="button" id="get_code" class="mui-btn verification-code cheshen-btn-gray">获取验证码</button>
                    <label><span class="mui-icon iconfont icon-phone"></span></label>
                    <input type="number" name="mobile" id="mobile" value="" placeholder="请输入手机号码">
                </div>
                <div class="mui-input-row">
                    <label><span class="mui-icon iconfont icon-verify"></span></label>
                    <input type="number" name="code" id="code" value="" class="mui-input-clear" placeholder="验证码">
                    <input type="text" id="cheshen-login-state" style="display: none;" value="">
                    <input type="text" id="cheshen-login-followid" style="display: none;" value="">
                    <input type="text" id="cheshen-login-favoriteid" style="display: none;" value="">
                    <input type="text" id="cheshen-login-commentid" style="display: none;" value="0">
                </div>

            </div>
            <div class="mui-button-row">
                <button type="submit" id="btn-login" class="mui-btn mui-btn-block cheshen-btn-gray">立即登录</button>
            </div>
        </form>

        <div class="cheshen-login-other">
            <div class="cheshen-loadmore">
                <div class="text">
                    <span>微信登录</span>
                </div>
            </div>
            <a href="/weixin/login.htm?origin_url="><span class="mui-icon iconfont icon-wechat"></span></a>
        </div>
        <a ><span id="btn_login_close" class="mui-icon iconfont icon-down"></span></a>
        <h6>点击登录，即表示您同意《车神榜使用协议》</h6>
    </div>


<script>

    $(function () {
        var all_h =$(this).height();
        mui('.cheshen-login-content').on('tap', '#btn_login_close', function() {
            $('.cheshen-login-content').animate({top: all_h},cmm.animate_time);
        });

        var isVerifyMob,isVerifyCode;
        isVerifyMob=isVerifyCode=false;
        $("#mobile").bind("input propertychange", function() {
            var v=$(this).val();
            if(v.isMobile()){
                $('#get_code').removeClass('cheshen-btn-gray');
                isVerifyMob=true;
            }else{
                $('#get_code').addClass('cheshen-btn-gray');
                isVerifyMob=false;
            }

            if(isVerifyMob && isVerifyCode){
                $('#btn-login').removeClass('cheshen-btn-gray');
            }else{
                $('#btn-login').addClass('cheshen-btn-gray');
            }
        });
        $('#code').bind("input propertychange", function() {
            var v=$(this).val();
            if(v){
                isVerifyCode=true;
            }else{
                isVerifyCode=false;
            }

            if(isVerifyMob && isVerifyCode){
                $('#btn-login').removeClass('cheshen-btn-gray');
            }else{
                $('#btn-login').addClass('cheshen-btn-gray');
            }
        });

        $('#get_code').click(function(){
            if(!isVerifyMob) return false;
            sendMessage();
        });

        var chk_frm=function()
        {
            var mobile=$('#mobile').val();
            var code=$('#code').val();
            if(!mobile){
                mui.toast('请填写手机号码');
                return false;
            }
            if(!mobile.isMobile()){
                mui.toast('请填写有效的手机号码');
                return false;
            }
            if(!code){
                mui.toast('请填写短信验证码');
                return false;
            }
            return true;
        };

        var isloading=0;
        $('#my_frm_post').submit(function () {
            if(isloading==1) return false;

            if(!chk_frm()){
                return false;
            }

            var frm = $("#my_frm_post");
            var state=$('#cheshen-login-state').val();
            var followid=$('#cheshen-login-followid').val();
            var favoriteid= $('#cheshen-login-favoriteid').val();
            var commentid = $('#cheshen-login-commentid').val();

            $.ajax({
                type: "post",
                url: '/login.htm',
                data: $(frm).serialize(),
                dataType: 'json',
                success: function (data) {
                    if (data.status == 200) {
                        mui.toast('登录成功');

                        if (commentid==0){
                            if (state == 'follow') {
                                location.href = location.href + "?s=" + state + "&follow_id=" + followid;
                            }else if(state == 'favorite'){
                                location.href = location.href + "?s=" + state + "&favorite_id=" + favoriteid;
                            }
                        }else{
                            location.href = location.href+"?s="+state+"&cid="+commentid;
                        }
                    } else {
                        mui.toast(data.msg);
                    }
                },
                beforeSend: function () {
                    isloading=1;
                },
                complete: function () {
                    isloading=0;
                },
                error: function () {
                    mui.toast('获取数据失败');
                }
            });
            return false;
        });

        var isWX = function(){
            var ua = navigator.userAgent.toLowerCase();
            if(ua.match(/MicroMessenger/i)=="micromessenger") {
                //var state=$('#cheshen-login-state').val();
                //$('.cheshen-login-other a').attr('href','/weixin/login.htm?origin_url='+location.href+'?s='+state);
                mui('.cheshen-login-other').on('tap', 'a', function() {
                    location.href = this.href;
                });
                $('.cheshen-login-other').show();
            } else {
                $('.cheshen-login-other').hide();
            }
        }
        isWX();
    });

    /*-------------------------------------------*/
    var InterValObj; //timer变量，控制时间
    var count = 60; //间隔函数，1秒执行
    var curCount;//当前剩余秒数
    function sendMessage() {
        curCount = count;
        var mobile=$('#mobile').val();
        if(!mobile) return false;

        $('#get_code').attr("disabled", "true");
        $("#get_code").html(curCount + "秒后重新获取");
        InterValObj = window.setInterval(SetRemainTime, 1000);

        $.ajax({
            type: "get",
            url: '/public/get_verify_code.php',
            data: {mobile:mobile},
            dataType: 'json',
            success: function (data) {
                if (data.status == 200) {
                } else {
                    mui.toast(data.msg);
                }
            },
            beforeSend: function () {
            },
            complete: function () {
            },
            error: function () {
                mui.toast('发送验证码失败');
            }
        });
    }
    function SetRemainTime() {
        if (curCount == 0) {
            window.clearInterval(InterValObj);
            $("#get_code").removeAttr("disabled");
            $("#get_code").html("获取验证码");
        }
        else {
            curCount--;
            $("#get_code").html(curCount + "秒后重新获取");
        }
    }
</script>
